org.springframework.mail

## Interface MailMessage

- All Known Implementing Classes:
    MimeMailMessage, SimpleMailMessage

      public interface MailMessage

  This is a common interface for mail messages, allowing a user to set key values required in assembling a mail message, without needing to know if the underlying message is a simple text message or a more sophisticated MIME message.

  Implemented by both SimpleMailMessage and MimeMessageHelper, to let message population code interact with a simple message or a MIME message through a common interface.

  Since:
    1.1.5
  Author:
    Juergen Hoeller
  See Also:
    `SimpleMailMessage`, `MimeMessageHelper`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setBcc(String bcc)`
    `void` | `setBcc(String[] bcc)`
    `void` | `setCc(String cc)`
    `void` | `setCc(String[] cc)`
    `void` | `setFrom(String from)`
    `void` | `setReplyTo(String replyTo)`
    `void` | `setSentDate(Date sentDate)`
    `void` | `setSubject(String subject)`
    `void` | `setText(String text)`
    `void` | `setTo(String to)`
    `void` | `setTo(String[] to)`

- - ### Method Detail

    - #### setFrom

          void setFrom(String from)
                throws MailParseException

      Throws:
        `MailParseException`

    - #### setReplyTo

          void setReplyTo(String replyTo)
                   throws MailParseException

      Throws:
        `MailParseException`

    - #### setTo

          void setTo(String to)
              throws MailParseException

      Throws:
        `MailParseException`

    - #### setTo

          void setTo(String[] to)
              throws MailParseException

      Throws:
        `MailParseException`

    - #### setCc

          void setCc(String cc)
              throws MailParseException

      Throws:
        `MailParseException`

    - #### setCc

          void setCc(String[] cc)
              throws MailParseException

      Throws:
        `MailParseException`

    - #### setBcc

          void setBcc(String bcc)
               throws MailParseException

      Throws:
        `MailParseException`

    - #### setBcc

          void setBcc(String[] bcc)
               throws MailParseException

      Throws:
        `MailParseException`

    - #### setSentDate

          void setSentDate(Date sentDate)
                    throws MailParseException

      Throws:
        `MailParseException`

    - #### setSubject

          void setSubject(String subject)
                   throws MailParseException

      Throws:
        `MailParseException`

    - #### setText

          void setText(String text)
                throws MailParseException

      Throws:
        `MailParseException`